POST Agents/List/GetListItemsForUserGroupFromListName
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/List/GetListItemsForUserGroupFromListName
List of list items that is visible in the usergroup
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/List/GetListItemsForUserGroupFromListName?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
UdListDefinitionName, GroupId
| Property Name | Type | Description |
|---|---|---|
| UdListDefinitionName | String | |
| GroupId | Integer |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Id | int32 | The Id of the ListItem |
| Name | string | The name of the ListItem |
| ToolTip | string | The tooltip of the ListItem |
| Deleted | bool | The deleted status of the ListItem |
| Rank | int32 | The rank of the ListItem |
| Type | string | The type of the ListItem. Custom field. |
| ColorBlock | int32 | The color indicator of the ListItem color block |
| IconHint | string | The Icon hint of the ListItem. Custom field. |
| Selected | bool | True if the ListItem is selected |
| LastChanged | date-time | Time of last change. |
| ChildItems | array | The child items of the SelectableMDOListItem |
| ExtraInfo | string | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | string | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | bool | True if the ListItem is hidden |
| FullName | string | The name of the ListItem in its context |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/List/GetListItemsForUserGroupFromListName
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"UdListDefinitionName": "Boyer Group",
"GroupId": 902
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Id": 670,
"Name": "Abshire, Christiansen and Reichel",
"ToolTip": "Officia aut aut dolores atque.",
"Deleted": false,
"Rank": 229,
"Type": "delectus",
"ColorBlock": 439,
"IconHint": "quod",
"Selected": false,
"LastChanged": "2021-01-29T10:11:00.3183958+01:00",
"ChildItems": [
{
"Id": 763,
"Name": "Herman Group",
"ToolTip": "Molestiae suscipit eum.",
"Deleted": false,
"Rank": 177,
"Type": "dicta",
"ColorBlock": 30,
"IconHint": "accusantium",
"Selected": false,
"LastChanged": "2022-09-06T10:11:00.3183958+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "doloribus",
"StyleHint": "quia",
"Hidden": true,
"FullName": "Dr. Garfield Ernie Dooley",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 229
}
}
}
],
"ExtraInfo": "aperiam",
"StyleHint": "voluptatem",
"Hidden": false,
"FullName": "Elinore Dameon Johns V",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 74
}
}
}
]